---
layout: default
title: Contribute to GitLab
description: "Learn about contributing to GitLab and read the guidelines, contribution process, sponsor the development of new features, and more."
suppress_header: true
extra_css:
  - contributing.css
---
.wrapper
  .simple-header
    %h1 Contribute to GitLab
  #content
    .wrapper.container.contributing-content{role: "main"}
      .block
        .block-content
          %h2.block-title 
          :markdown
            We want to make it as easy as possible for GitLab users to become GitLab contributors, so we’ve created this contribution guide to help you get started. We have multiple tracks to cater to people of varying interests so that **everyone can contribute**.

            In addition to Open Source Development, there are also Documentation, Translation, and UX Design tracks. Documentation, Translation, and UX Design are all just as important as code, and we'd be happy to welcome your contributions. You can see the wider community contribution data in our [community dashboard](https://gitlab.biterg.io/goto/937475d38035f496df3501c9b30af5ef). 
            
            ![Community growth numbers](/images/community/wider-community-growth-2019.png){: .medium}<br>
            
            We want to create a welcoming environment for everyone who is interested in contributing. Please visit our [Code of Conduct page](/community/contribute/code-of-conduct/) to learn more about our commitment to an open and welcoming environment.            

      .row.flex-row.area-row
        -data.contribute_page.each do |area|
          .col-md-3
            %h2.area-name
              = area.category
            %p.area-description
              = area.description
            .row.area-more
            = link_to area.link_text, area.link

      .block
        .block-content
          %h2#getting-help.block-title 
            %a{ href: '#getting-help' } Getting Help
          :markdown
            If you need any help while contributing to GitLab, below are some of the resources that are available.

            1. Ask questions on the [Contributors Gitter Channel](https://gitter.im/gitlabhq/contributors).
            1. Get in touch with [Merge Request Coaches](/job-families/expert/merge-request-coach/). To find a merge request coach, go to the [GitLab Team Page](/team/) and search for "merge request coach". You can also [mention](https://docs.gitlab.com/ee/user/group/subgroups/#mentioning-subgroups) Merge Request Coaches by typing `@gitlab-org/coaches` in a comment.
            1. Find reviewers & maintainers of Gitlab projects in our [handbook](/handbook/engineering/projects/#gitlab-ce) and [mention](https://docs.gitlab.com/ee/user/group/subgroups/#mentioning-subgroups) them in a comment.
            1. If you have feature ideas/questions, you can search for existing issues or create a new issue if there isn't one already. Feel free to [mention](https://docs.gitlab.com/ee/user/group/subgroups/#mentioning-subgroups) [product team members](/handbook/product/categories/) in the issue.
            1. For any other questions or feedback, please email `contributors@gitlab.com`.
            
        .newsletter-form-content
        %h4 🚀 Sign up for our newsletter
        %script{src: "//page.gitlab.com/js/forms2/js/forms2.min.js"}
        %form#mktoForm_1073
        :javascript
          MktoForms2.loadForm("//page.gitlab.com", "194-VVC-221", 1073, function(form) {
            form.onSuccess(function(values, followUpUrl) {
              dataLayer.push(
              {
                'event' : 'mktoLead', 
                'mktoFormId' : form.getId(),
                'eventCallback' : function()
                {
                  form.getFormElem().hide();
                  document.getElementById('confirmformnewlsetter').style.visibility = 'visible';
                }, 'eventTimeout' : 3000
              });
              return false;
            });
            function getgacid() {
              try {
                var tracker = ga.getAll()[0];
                return tracker.get('clientId');
              } catch (e) {
                return 'n/a';
              }
            }
            form.vals({
              'gacid': getgacid()
            });
          });
        #confirmformnewlsetter{style: "visibility:hidden;"}
          %p.thanks-subscribing
            Thanks for subscribing!
            %a{href: "https://www.twitter.com/gitlab", target: "_blank"}
              Follow us on twitter
            for even more updates!
